<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Rooms</h1>
</div>
<div class="row mb-3">
  <div class="col">
    <mat-slide-toggle [checked]="filterOnlyFree" name="onlyFree" (change)="handleUserFilterChange($event)" class="pr-4">
      Show only free
    </mat-slide-toggle>
  </div>
</div>
<div class="row">
  <div class="col">
    <p *ngIf="search">
      Searching for Room "{{ search }}":
    </p>
  </div>
</div>
<!-- Content Row -->
<div class="row">
  <div class="col" *ngIf="!(isLoading$ | async) else loading">
    <ng-container *ngIf="rooms.length > 0">
      <ng-container *ngFor="let room of rooms">
        <app-room-card [room]="room" (checkinStateChanged)="load()"></app-room-card>
      </ng-container>
    </ng-container>
    <ng-container *ngIf="rooms.length === 0">
      <div class="col d-flex p-2 flex-column justify-content-end align-items-center" style="height: 300px">
        <img src="../../../assets/img/undraw_house_searching_n8mp.svg" style="height: 150px;"
             alt="No rooms found" class="pb-4">
        <p class="lead">No Rooms found.</p>
      </div>
    </ng-container>
  </div>
</div>

<ng-template #loading>
  <div class="col d-flex p-2 justify-content-center align-items-end" style="height: 200px">
    <fa-icon [icon]="faCircleNotch" spin="true" size="3x"></fa-icon>
  </div>
</ng-template>
